Package org.kie.api.runtime.conf

# Class TimedRuleExecutionOption

java.lang.Object
org.kie.api.runtime.conf.TimedRuleExecutionOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`, `SingleValueRuleRuntimeOption`

Direct Known Subclasses:
  `TimedRuleExecutionOption.FILTERED`

public class TimedRuleExecutionOption extends Object implements SingleValueRuleRuntimeOption

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TimedRuleExecutionOption.FILTERED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<TimedRuleExecutionOption>`
  `KEY`
  `static final TimedRuleExecutionOption`
  `NO`
  `static final String`
  `PROPERTY_NAME`
  `static final TimedRuleExecutionOption`
  `YES`

  ### Fields inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TimedRuleExecutionFilter`
  `getFilter()`
  `String`
  `getPropertyName()`
  `static TimedRuleExecutionOption`
  `resolve(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<TimedRuleExecutionOption> KEY

  - ### YES

    public static final TimedRuleExecutionOption YES

  - ### NO

    public static final TimedRuleExecutionOption NO

- ## Method Details

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### getFilter

    public TimedRuleExecutionFilter getFilter()

  - ### resolve

    public static TimedRuleExecutionOption resolve(String value)